Fetch Apps And Websites
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2026-02-08 00:00:00',
endDate: '2026-02-08 23:59:59',
timeZone: 'Asia/Kolkata',
userId: ['ab7c4f30-1024-471a-a767-739df0dc53fd'],
teamId: []
})
};
fetch('https://api.trackpilots.com/v1/dashboard/apps-and-websites-usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/dashboard/apps-and-websites-usage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2026-02-08 00:00:00",
"endDate": "2026-02-08 23:59:59",
"timeZone": "Asia/Kolkata",
"userId": [
"ab7c4f30-1024-471a-a767-739df0dc53fd"
],
"teamId": []
}
'import requests
url = "https://api.trackpilots.com/v1/dashboard/apps-and-websites-usage"
payload = {
"startDate": "2026-02-08 00:00:00",
"endDate": "2026-02-08 23:59:59",
"timeZone": "Asia/Kolkata",
"userId": ["ab7c4f30-1024-471a-a767-739df0dc53fd"],
"teamId": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched apps and websites successfully",
"error": null,
"data": {
"summary": {
"totalTimeSpentSeconds": 122404,
"websiteTimeSpentSeconds": 44520,
"appsTimeSpentSeconds": 77884
},
"websiteUsage": {
"totalWebsiteTimeSpentSeconds": 44520,
"websites": [
{
"domain": "chatgpt.com",
"iconUrl": "https://chatgpt.com/favicon.ico",
"timeSpentSeconds": 8375
}
]
},
"appsUsage": {
"totalAppsTimeSpentSeconds": 77884,
"apps": [
{
"appName": "Visual Studio Code",
"iconUrl": "https://trackpilots.s3.amazonaws.com/app-icon/vscode.png",
"timeSpentSeconds": 41823
}
]
}
}
}Dashboard
Fetch Apps And Websites
POST
/
v1
/
dashboard
/
apps-and-websites-usage
Fetch Apps And Websites
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2026-02-08 00:00:00',
endDate: '2026-02-08 23:59:59',
timeZone: 'Asia/Kolkata',
userId: ['ab7c4f30-1024-471a-a767-739df0dc53fd'],
teamId: []
})
};
fetch('https://api.trackpilots.com/v1/dashboard/apps-and-websites-usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/dashboard/apps-and-websites-usage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2026-02-08 00:00:00",
"endDate": "2026-02-08 23:59:59",
"timeZone": "Asia/Kolkata",
"userId": [
"ab7c4f30-1024-471a-a767-739df0dc53fd"
],
"teamId": []
}
'import requests
url = "https://api.trackpilots.com/v1/dashboard/apps-and-websites-usage"
payload = {
"startDate": "2026-02-08 00:00:00",
"endDate": "2026-02-08 23:59:59",
"timeZone": "Asia/Kolkata",
"userId": ["ab7c4f30-1024-471a-a767-739df0dc53fd"],
"teamId": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched apps and websites successfully",
"error": null,
"data": {
"summary": {
"totalTimeSpentSeconds": 122404,
"websiteTimeSpentSeconds": 44520,
"appsTimeSpentSeconds": 77884
},
"websiteUsage": {
"totalWebsiteTimeSpentSeconds": 44520,
"websites": [
{
"domain": "chatgpt.com",
"iconUrl": "https://chatgpt.com/favicon.ico",
"timeSpentSeconds": 8375
}
]
},
"appsUsage": {
"totalAppsTimeSpentSeconds": 77884,
"apps": [
{
"appName": "Visual Studio Code",
"iconUrl": "https://trackpilots.s3.amazonaws.com/app-icon/vscode.png",
"timeSpentSeconds": 41823
}
]
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Either userId or teamId must be provided. Both cannot be empty.
Example:
"2026-02-08 00:00:00"
Example:
"2026-02-08 23:59:59"
IANA timezone of the requester
Example:
"Asia/Kolkata"
List of user UUIDs to fetch screenshots for
List of team UUIDs to fetch screenshots for
Example:
[]
